Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> FTP >> Titan FTP Server CWD heap overflow


Vulnerability Assessment Details

Titan FTP Server CWD heap overflow

Vulnerability Assessment Summary
Check Titan FTP server version

Detailed Explanation for this Vulnerability Assessment

The remote is running Titan FTP Server. All versions up to and including 3.21
are reported vulnerable to a remote heap overflow in the CWD command processing.

A possible hacker may deny service to legitimate users or execute arbitrary code on
the remote host.

Solution : Upgrade to Titan FTP 3.22 or newer.
Network Security Threat Level: High

Networks Security ID: 11069

Vulnerability Assessment Copyright: This script is Copyright (C) 2004-2007 Tenable Network Security

Cables, Connectors

IBM 8843-35U HS20 BladeCenter Blade Dual 3.4GHz 2x 36.4GB SCSI HDD Server NO RAM
$22.85
IBM 8843-35U HS20 BladeCenter Blade Dual 3.4GHz 2x 36.4GB SCSI HDD Server NO RAM pictureIBM 8843-05U HS20 BladeCenter Blade Dual 3.4GHz 4GB 2x 36.4GB SCSI HDD Server
$22.85
IBM 8843-05U HS20 BladeCenter Blade Dual 3.4GHz 4GB 2x 36.4GB SCSI HDD Server pictureIBM 8843-35U HS20 BladeCenter Blade Dual 3.4GHz 4GB 2x 36.4GB SCSI HDD Server
$22.85
IBM 8843-35U HS20 BladeCenter Blade Dual 3.4GHz 4GB 2x 36.4GB SCSI HDD Server pictureIBM HX5 BLADECENTER SERVER TWO E7-8837 2.66GHZ 192GB NO HDD
$4709.0
IBM HX5 BLADECENTER SERVER TWO E7-8837 2.66GHZ 192GB NO HDD picture


Discussions

No Discussions have been posted on this vulnerability.